<?php
	
	/*--------------------------------------------------------------
	# Corporate - April 2009 (for Joomla 1.5)
	# Copyright (C) 2007-2009 Gavick.com. All Rights Reserved.
	# License: Copyrighted Commercial Software
	# Website: http://www.gavick.com
	# Support: support@gavick.com  
	---------------------------------------------------------------*/
	
	// no direct access
	defined('_JEXEC') or die('Restricted access');
	// including base setup file
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_setup.php');
	// including menu generator file
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/menu.php');
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >

<head>
	<jdoc:include type="head" />

	<?php
		// including template header files
		include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_head.php');	
	?>
</head>

<body>
	<div id="wrapper_main">
		
		<?php if(($login_button && $this->countModules('login'))) : ?>
		<div id="popup_login">
			<div id="close_button_login"></div>
			<div class="top">
				<jdoc:include type="modules" name="login" style="raw" />
			</div>
			<div class="bottom"></div>
		</div>
		<?php endif; ?>	

		<?php if($register_button && ((!isset($_GET['task']) || !isset($_GET['option'])) || ((isset($_GET['task']) && $_GET['task'] != 'register') || (isset($_GET['option']) && $_GET['option'] != 'com_user'))) && $userID == 0) : ?>	
		<div id="popup_register">
			<div id="close_button_register"></div>
			<div class="top">
				<script type="text/javascript" src="<?php echo $url->root(); ?>media/system/js/validate.js"></script>
				<script type="text/javascript">Window.onDomReady(function(){document.formvalidator.setHandler('passverify', function (value) { return ($('password').value == value); }	);});</script>
				<form action="<?php echo JRoute::_( 'index.php?option=com_user' ); ?>" method="post" id="josForm" name="josForm" class="form-validate">
				
				<table cellpadding="0" cellspacing="0" border="0" width="100%" class="contentpane">
				<tr>
					<td width="30%" height="40">
						<label id="namemsg" for="name">
							<?php echo JText::_( 'NAME' ); ?>:
						</label>
					</td>
				  	<td>
				  		<input type="text" name="name" id="name" size="40" value="" class="inputbox required" maxlength="50" /> *
				  	</td>
				</tr>
				<tr>
					<td height="40">
						<label id="usernamemsg" for="username">
							<?php echo JText::_( 'USERNAME' ); ?>:
						</label>
					</td>
					<td>
						<input type="text" id="username" name="username" size="40" value="" class="inputbox required validate-username" maxlength="25" /> *
					</td>
				</tr>
				<tr>
					<td height="40">
						<label id="emailmsg" for="email">
							<?php echo JText::_( 'EMAIL' ); ?>:
						</label>
					</td>
					<td>
						<input type="text" id="email" name="email" size="40" value="" class="inputbox required validate-email" maxlength="100" /> *
					</td>
				</tr>
				<tr>
					<td height="40">
						<label id="pwmsg" for="password">
							<?php echo JText::_( 'PASSWORD' ); ?>:
						</label>
					</td>
				  	<td>
				  		<input class="inputbox required validate-password" type="password" id="password" name="password" size="40" value="" /> *
				  	</td>
				</tr>
				<tr>
					<td height="40">
						<label id="pw2msg" for="password2">
							<?php echo JText::_( 'VERIFY_PASSWORD' ); ?>:
						</label>
					</td>
					<td>
						<input class="inputbox required validate-passverify" type="password" id="password2" name="password2" size="40" value="" /> *
					</td>
				</tr>
				<tr>
					<td colspan="2" height="40">
						<p class="information_td"><?php echo JText::_( 'REGISTER_REQUIRED' ); ?></p>
					</td>
				</tr>
				</table>
					<button class="button validate" type="submit"><?php echo JText::_('REGISTER'); ?></button>
					<input type="hidden" name="task" value="register_save" />
					<input type="hidden" name="id" value="0" />
					<input type="hidden" name="gid" value="0" />
					<?php echo JHTML::_( 'form.token' ); ?>
				</form>
			</div>
			<div class="bottom"></div>
		</div>
		<?php endif; ?>	
			
		<div id="wrapper_top" class="clearfix">
			<a id="logo<?php echo ($logo_as_image) ? '' : '_styled'; ?>" href="./">
				<?php if($logo_as_image) : ?>
				<img src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/images/style1/logo.png" alt="Logo" />
				<?php endif; ?>
			</a>
			
			<?php if($this->countModules('search') || (($login_button && $this->countModules('login')) || ($register_button && ((!isset($_GET['task']) || !isset($_GET['option'])) || ((isset($_GET['task']) && $_GET['task'] != 'register') || (isset($_GET['option']) && $_GET['option'] != 'com_user'))) && $userID == 0))) : ?>
			<div id="wrapper_top_content">
				<?php if($this->countModules('search')) : ?>
				<div id="search">
					<jdoc:include type="modules" name="search" style="raw" />
				</div>
				<?php endif; ?>
				<?php if(($login_button && $this->countModules('login')) || ($register_button && ((!isset($_GET['task']) || !isset($_GET['option'])) || ((isset($_GET['task']) && $_GET['task'] != 'register') || (isset($_GET['option']) && $_GET['option'] != 'com_user'))) && $userID == 0)) : ?>
				<div id="buttons">
					<?php if($login_button && $this->countModules('login')) : ?>
					<span id="login_btn<?php if(!($register_button && ((!isset($_GET['task']) || !isset($_GET['option'])) || ((isset($_GET['task']) && $_GET['task'] != 'register') || (isset($_GET['option']) && $_GET['option'] != 'com_user'))) && $userID == 0)) echo '_noborder'; ?>"><a href="#"><?php echo ($userID == 0) ? JText::_('LOGIN') : JText::_('USER_PANEL'); ?></a></span>
					<?php endif; ?>
				
					<?php if($register_button && ((!isset($_GET['task']) || !isset($_GET['option'])) || ((isset($_GET['task']) && $_GET['task'] != 'register') || (isset($_GET['option']) && $_GET['option'] != 'com_user'))) && $userID == 0) : ?>	
					<span id="register_btn<?php if(!$login_button || $this->countModules('login') == 0) echo '_noborder'; ?>"><a href="<?php echo $this->baseurl; ?>/index.php?option=com_user&amp;task=register"><?php echo JText::_('REGISTER'); ?></a></span>
					<?php endif; ?>
				</div>
				<?php endif; ?>
			</div>
			<?php endif; ?>
			
			<div id="wrapper_menu">
				<div id="horiz-menu" class="clearfix<?php echo ($menu_type == 'standard') ? '' : ' moomenu';?>">
					<?php echo $main_navigation;?>
				</div>
			</div>	
		</div>
		
		<jdoc:include type="message" />
		
		<?php if($this->countModules('header')) : ?>
		<div id="wrapper_header" class="clearfix">
			<jdoc:include type="modules" name="header" style="gavickpro" />
		</div>
		<?php endif; ?>
			
		<?php if($this->countModules('breadcrumbs')) : ?>
		<div id="wrapper_breadcrumbs" class="clearfix <?php if($this->countModules('banner')) echo 'margin0'; ?>">
			<div id="breadcrumbs_left">
			<?php if($breadcrumbs_text != "") : ?>
				<span id="breadcrumbs_yah"><?php echo $breadcrumbs_text; ?></span>
			<?php endif; ?>
			<jdoc:include type="modules" name="breadcrumbs" style="gavickpro" />
			</div>
			<?php if($datatop) : ?>
			<div id="datatop"><span><?php echo JHTML::_('date', 'now' ) ?></span></div>
			<?php endif; ?>
		</div>
		<?php endif; ?>

		<?php if($this->countModules('banner')) : ?>
		<div id="wrapper_banner" class="clearfix" <?php if((($banner_slider && $banner_default == 0) && !isset($_COOKIE['gk25_slider'])) || ($banner_slider && ( isset($_COOKIE['gk25_slider']) && $_COOKIE['gk25_slider'] == 0 ) )) echo ' style="display: none;" '; ?>>
			<jdoc:include type="modules" name="banner" style="gavickpro" />
		</div>
			<?php if($banner_slider) : ?>
			<div id="slider_wrap">
				<div id="slider" class="<?php if(($banner_default == 1 && !isset($_COOKIE['gk25_slider'])) || ( isset($_COOKIE['gk25_slider']) && $_COOKIE['gk25_slider'] == 1 )) echo 'slider_up'; ?>"></div>
			</div>	
			<?php endif; ?>
		<?php endif; ?>
		
		<?php
			// show mainbody on all subpages but not on frontpage
			if (!($this->params->get("frontpage", 1) == 0 && $menu->getActive() == $menu->getDefault() && $this->countModules('mainbody + user1 + user2 + user3 + user4 + user5 + user6 + top + bottom + column') == 0)) :
		?>
		
		<div id="wrapper_content" class="clearfix wrapper_centered"> 
			<?php if ($this->countModules('column') && $column_position == "left") : ?>
				<div id="left" style="width: <?php echo $column_width; ?>px;">
	   				<div id="left_1">
			   			<div id="left_2">
							<jdoc:include type="modules" name="column" style="gavickpro"/>
						</div>
					</div>	
   				</div>
     		<?php endif; ?>
				
				
			<div id="component<?php echo $w_count ?>" style="width: <?php echo $mainbody_width; ?>px;">
				<?php if ($this->countModules('top')) : ?>
					<div class="module_wrap clearfix">
				         <jdoc:include type="modules" name="top" style="gavickpro" />
				    </div>
				<?php endif; ?>
				                
				<?php if($this->countModules('user1 or user2 or user3')) : ?>
					<div class="users_wrap <?php echo $user13_style; ?> clearfix">
					<?php if ($this->countModules('user1')) : ?>
	    				<div class="<?php echo $user_position_1; ?>">
	        				<jdoc:include type="modules" name="user1" style="gavickpro" />
	        			</div>
	        		<?php endif; ?>
				                    
					<?php if ($this->countModules('user2')) : ?>
	    				<div class="<?php echo $user_position_1; ?>">
	        				<jdoc:include type="modules" name="user2" style="gavickpro" />
	                	</div>
	                <?php endif; ?>
				                              
					<?php if ($this->countModules('user3')) : ?>
	    				<div class="<?php echo $user_position_1; ?>">
	        				<jdoc:include type="modules" name="user3" style="gavickpro" />
	            		</div>
	              	<?php endif; ?>
	               	</div>
	        	<?php endif; ?>   
				                
				<?php
				
					// show mainbody on all subpages but not on frontpage
					if (!$frontpage_i || $this->countModules('mainbody')) :
					
	 			?>
	 			<div id="wrapper_content_mainbody">
	    			<div id="mainbody">
	      				<?php if($this->countModules('mainbody')) : ?>
 							<jdoc:include type="modules" name="mainbody" style="gavickpro" />
  						<?php else: ?>
 							<jdoc:include type="component" />
	  					<?php endif; ?>
	         		</div>
	         	</div>
				<?php endif; ?>
	          
				<?php if($this->countModules('user4 or user5 or user6')) : ?>
					<div class="users_wrap <?php echo $user46_style; ?> clearfix">
					<?php if ($this->countModules('user4')) : ?>
	    				<div class="<?php echo $user_position_2; ?>">
	        				<jdoc:include type="modules" name="user4" style="gavickpro" />
	            		</div>
	              	<?php endif; ?>
				                              
					<?php if ($this->countModules('user5')) : ?>
	    				<div class="<?php echo $user_position_2; ?>">
	        				<jdoc:include type="modules" name="user5" style="gavickpro" />
	            		</div>
	              	<?php endif; ?>
				                              
					<?php if ($this->countModules('user6')) : ?>
	    				<div class="<?php echo $user_position_2; ?>">
	        				<jdoc:include type="modules" name="user6" style="gavickpro" />
	            		</div>
	              	<?php endif; ?>
	      			</div>
	         	<?php endif; ?>
				                        
				<?php if ($this->countModules('bottom')) : ?>
	   				<div class="module_wrap clearfix">
	       				<jdoc:include type="modules" name="bottom" style="gavickpro" headerLevel="3" />
	           		</div>
	           	<?php endif; ?>
	           	</div>
				                  
				<?php if ($this->countModules('column') && $column_position == "right") : ?>
	   				<div id="right" style="width: <?php echo $column_width; ?>px;">
					   <div id="right_1">
					   		<div id="right_2">
							   <jdoc:include type="modules" name="column" style="gavickpro" />
					   		</div>
					   </div>
	   				</div>
        		<?php endif; ?>
 			</div>
 			<?php endif; ?>
 			
			<?php if ($this->countModules('user7 or user8 or user9 or user10 or user11')) : ?>
			<div id="wrapper_bottom1" class="clearfix wrapper_centered">
				<?php if ($this->countModules('user7')) : ?>
				<div class="<?php echo $user_position_3; ?>">
	 				<jdoc:include type="modules" name="user7" style="gavickpro" />
				</div>
				<?php endif; ?>
				<?php if ($this->countModules('user8')) : ?>
				<div class="<?php echo $user_position_3; ?>">
					<jdoc:include type="modules" name="user8" style="gavickpro" />
				</div>
				<?php endif; ?>
	 			<?php if ($this->countModules('user9')) : ?>
				<div class="<?php echo $user_position_3; ?>">
					<jdoc:include type="modules" name="user9" style="gavickpro" />
				</div>
				<?php endif; ?>
				<?php if ($this->countModules('user10')) : ?>
				<div class="<?php echo $user_position_3; ?>">
					<jdoc:include type="modules" name="user10" style="gavickpro" />
				</div>
				<?php endif; ?>
				<?php if ($this->countModules('user11')) : ?>
				<div class="<?php echo $user_position_3; ?>">
					<jdoc:include type="modules" name="user11" style="gavickpro" />
				</div>
				<?php endif; ?>
			</div>
			<?php endif; ?>
				
			
			<?php if ($this->countModules('user12 or user13 or user14 or user15 or user16')) : ?>
			
			<?php if($bottom_wrapper_header) : ?>
			<h3 id="bottom_wrapper_header"><?php echo $bottom_wrapper_header_text; ?></h3>
			<?php endif; ?>
			
			<div id="wrapper_bottom2" class="clearfix wrapper_centered">
				<?php if ($this->countModules('user12')) : ?>
				<div class="<?php echo $user_position_4; ?>">
	 				<jdoc:include type="modules" name="user12" style="gavickpro" />
				</div>
				<?php endif; ?>
				<?php if ($this->countModules('user13')) : ?>
				<div class="<?php echo $user_position_4; ?>">
					<jdoc:include type="modules" name="user13" style="gavickpro" />
				</div>
				<?php endif; ?>
	 			<?php if ($this->countModules('user14')) : ?>
				<div class="<?php echo $user_position_4; ?>">
					<jdoc:include type="modules" name="user14" style="gavickpro" />
				</div>
				<?php endif; ?>
				<?php if ($this->countModules('user15')) : ?>
				<div class="<?php echo $user_position_4; ?>">
					<jdoc:include type="modules" name="user15" style="gavickpro" />
				</div>
				<?php endif; ?>
				<?php if ($this->countModules('user16')) : ?>
				<div class="<?php echo $user_position_4; ?>">
					<jdoc:include type="modules" name="user16" style="gavickpro" />
				</div>
				<?php endif; ?>
			</div>
			<?php endif; ?>
			
			<div id="wrapper_footer" class="clearfix">
				<?php 
					// including footer file
					include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_footer.php'); 
				?>
			</div>
		</div>
		
		
	<?php 
		// including information alert for IE6
		if($this->params->get("ie6info", 1) == 1): 
	?>
	<!-- IE6 alert -->
	<!--[if IE 6]>
	<div id="ie6">
	<?php include_once(JPATH_ROOT."/templates/".$this->template.'/lib/php/gk_ie6.php'); ?>
	</div>
	<![endif]-->
	<?php endif; ?>
	<jdoc:include type="modules" name="debug" />
</body>
</html>