<?php
	
	/*--------------------------------------------------------------
	# Corporate - April 2009 (for Joomla 1.5)
	# Copyright (C) 2007-2009 Gavick.com. All Rights Reserved.
	# License: Copyrighted Commercial Software
	# Website: http://www.gavick.com
	# Support: support@gavick.com  
	---------------------------------------------------------------*/
	
	// no direct access
	defined('_JEXEC') or die('Restricted access');
	
	// Adding MooTools 1.11 to template
	JHTML::_('behavior.mootools');
	
	/*--------------------------------------------------------------
	#
	# Generating basic template variables
	#
	--------------------------------------------------------------*/	
	
	// setting variable for template base url
	$template_baseurl = $this->baseurl . '/templates/' . $this->template;	
	// getting information about basic template color
	$template_color = $this->params->get("template_color", 1);
	// getting information about login button
	$login_button = ($this->params->get("login_button", 1)  == 1) ? true : false;
	// getting information about register button
	$register_button = ($this->params->get("register_button", 1)  == 1) ? true : false;
	// getting information about logo
	$logo_as_image = ($this->params->get("logo_as_image", 1) == 1) ? true : false;
	// getting date
	$datatop =  ($this->params->get("datatop", 1) == 1) ? true : false;
	// getting footer content
	$footer_content = $this->params->get("footer_content", "Template Design &copy; <a href=\"http://wm-portal.com\" target=\"_blank\">Joomla portal</a> | WM-Portal.  All rights reserved.");
	// getting menu
	$menu = & JSite::getMenu();
	// getting information about menu type
	$menu_type = $this->params->get("menutype", "standard");
	//
	$banner_slider = $this->params->get("banner_slider", 1);
	//
	$banner_default = $this->params->get("banner_default", 1);
	//
	$bottom_wrapper_header =  $this->params->get("bottom_wrapper_header", 1);
	//
	$bottom_wrapper_header_text = $this->params->get("bottom_wrapper_header_text", "Corporate Ltd Info");
	//	
	$breadcrumbs_text = $this->params->get("breadcrumbs_text", "You are here");
	// getting information about frontpage
	$frontpage_i = ($this->params->get("frontpage", 1) == 1) ? false : ($menu->getActive() == $menu->getDefault());		
	// getting information about bg switcher
	$stylearea = ($this->params->get("stylearea", 1) == 0) ? false : true;
	//
	$user13_style = $this->params->get("user13_style", "light");
	$user46_style = $this->params->get("user46_style", "grey");
	// creating JURI instance	
	$url = clone(JURI::getInstance());		
	// getting User object and user ID 
	$user =& JFactory::getUser();
	// getting User ID
	$userID = $user->get('id');

	/*--------------------------------------------------------------
	#
	# Calculating mainbody dimensions
	#
	--------------------------------------------------------------*/

	$column_width = $this->params->get("column_width", 300);
	$column_position = $this->params->get("column_position", 'right');
	$margin_column = 10;
	$mainbody_width = 940;
	
	// calculating size 
	if($this->countModules('column'))
	{
		$mainbody_width = 940 - $column_width - $margin_column;
	}

	/*--------------------------------------------------------------
	#
	# Generating user positions classes
	#
	--------------------------------------------------------------*/

	// empty variables for classes
	$user_position_1 = 'null';
	$user_position_2 = 'null';
	$user_position_3 = 'null';	
	$user_position_4 = 'null';

	/**
	    $user_position_1
	**/

	// 33%
	if($this->countModules('user1 and user2 and user3'))
	{
		$user_position_1 = 'us_width-33';		
	}
	else if($this->countModules('user1 and user2') || $this->countModules('user1 and user3') || $this->countModules('user2 and user3'))
	{
		$user_position_1 = 'us_width-50';
	}	
	else
	{
		$user_position_1 = 'us_width-100';	
	}

	/**
	    $user_position_2
	**/	
	
	// 33%
	if($this->countModules('user4 and user5 and user6'))
	{
		$user_position_2 = 'us_width-33';		
	}
	else if($this->countModules('user4 and user5') || $this->countModules('user4 and user6') || $this->countModules('user5 and user6'))
	{
		$user_position_2 = 'us_width-50';
	}	
	else
	{
		$user_position_2 = 'us_width-100';	
	}
	
	/**
	    $user_position_3
	**/
	
	$sum_modules = 0;
	if($this->countModules('user7') > 0) $sum_modules += 1;
	if($this->countModules('user8') > 0) $sum_modules += 1;
	if($this->countModules('user9') > 0) $sum_modules += 1;
	if($this->countModules('user10') > 0) $sum_modules += 1;
	if($this->countModules('user11') > 0) $sum_modules += 1;
	
	if($sum_modules == 5) // 20%
	{
		$user_position_3 = 'us_width-20';
	}
	else if($sum_modules == 4) // 25%
	{
		$user_position_3 = 'us_width-25';
	}
	else if($sum_modules == 3) // 33%
	{
		$user_position_3 = 'us_width-33';	
	}
	else if($sum_modules == 2) // 50%
	{
		$user_position_3 = 'us_width-50';
	}
	else // 100%
	{
		$user_position_3 = 'us_width-100';	
	}
	
	/**
	    $user_position_4
	**/
	
	$sum_modules = 0;
	if($this->countModules('user12') > 0) $sum_modules += 1;
	if($this->countModules('user13') > 0) $sum_modules += 1;
	if($this->countModules('user14') > 0) $sum_modules += 1;
	if($this->countModules('user15') > 0) $sum_modules += 1;
	if($this->countModules('user16') > 0) $sum_modules += 1;
	
	if($sum_modules == 5) // 20%
	{
		$user_position_4 = 'us_width-20';
	}
	else if($sum_modules == 4) // 25%
	{
		$user_position_4 = 'us_width-25';
	}
	else if($sum_modules == 3) // 33%
	{
		$user_position_4 = 'us_width-33';	
	}
	else if($sum_modules == 2) // 50%
	{
		$user_position_4 = 'us_width-50';
	}
	else // 100%
	{
		$user_position_4 = 'us_width-100';	
	}
	
	
	// component and pos width
    $w_count = '';
    
	if($this->countModules('column'))
	{
    	$w_count = '-'.$this->params->get("column_position", 'right');
    }

?>